Page MenuHomeMiraheze

Alarm notifications don't work properly on allthetropes.org
Open, NormalPublic

Description

Requested by Looney Toons (link)

Alams only show for thanking edits, nothing else.

Event Timeline

SelfCloak created this task.May 17 2019, 16:32
AmandaCath triaged this task as Normal priority.May 19 2019, 18:14
AmandaCath added a project: Extensions.
AmandaCath added a subscriber: AmandaCath.

This task is worded quite vaguely, but it appears to be a bug report for an extension on ATT.

AmandaCath moved this task from Backlog to Bugs on the Extensions board.May 19 2019, 18:15
AmandaCath removed a subscriber: AmandaCath.

This task is worded quite vaguely, but it appears to be a bug report for an extension on ATT.

@SelfCloak @Looney_Toons Can you elaborate on your request?

My apologies for not clarifying after getting my access issues cleared up. Not being one of the more technical admins for All The Tropes I don't believe I have all the relevant information but I will do my best.

All The Tropes has extensions installed, including but possibly not limited to Extension:StructuredDiscussions (AKA Flow) and Extension:Thanks, which make use of Extension:Echo to set visible flags on the Alerts (bell) and Notices (inbox) icons on each page in response to various user actions such as messages on user talk pages, thanks for edits, "@" pinging in message texts and the like.

At some point several weeks ago, all such functionality save for notices generated by Extension:Thanks ceased. This has proven problematic for us, as we inappropriately tempbanned a couple users for not responding to admin messages when they never received notification that they'd received any. Can someone please investigate and correct this, or if it is something that somehow got inadvertently turned off on our end please let us us know what needs turning back on?

Thank you.

It's been almost two months since we reported this issue, and more than two months that it's been happening. We've managed to get occasional success from FlowMention (an @ ping function of Flow) as well as the thanks, but that's it. Has this completely dropped off the radar?

It's been almost two months since we reported this issue, and more than two months that it's been happening. We've managed to get occasional success from FlowMention (an @ ping function of Flow) as well as the thanks, but that's it. Has this completely dropped off the radar?

Sorry that there have been no answers for this long.

@Paladox Could you please take a look into this?

Paladox added a comment.Aug 8 2019, 13:08

Hello, in your preference @ https://allthetropes.org/wiki/Special:Preferences#mw-prefsection-echo is "thanks" selected for "web"?

Paladox claimed this task.Aug 8 2019, 13:14
Looney_Toons added a comment.EditedAug 8 2019, 22:32

Yes. My only notifications not set to "web" are "⧼echo-category-title-request-declined⧽", "successful mention", "failed mention" and "login from unfamiliar device". The first three are turned off entirely; the fourth alerts me by email.

Paladox added a comment.EditedAug 9 2019, 23:53

Do you know if the users in question also had it set?

I've tested on one of our test wikis and it worked.

As of the time I first reported the issue, it affected everyone.

However, it may have been resolved on its own or as a side effect of another change: I've noticed that in the last week or so the alarms seem to be working again. I had assumed it was progress on this ticket, at least until this exchange.

Paladox added a comment.Aug 12 2019, 17:42

Ok, i'll leave this open a little bit longer. Do report back if it starts not working again please.

Will do. Thank you.